org.apache.ignite.internal.processors.rest.handlers.cluster

## Class GridBaselineCommandResponse

- java.lang.Object
- - org.apache.ignite.internal.processors.rest.handlers.cluster.GridBaselineCommandResponse

All Implemented Interfaces:
  Externalizable, Serializable

    public class GridBaselineCommandResponse
    extends Object
    implements Externalizable

Result for baseline command.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`GridBaselineCommandResponse()` Default constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`Collection<String>` `getBaseline()`
`Collection<String>` `getServers()`
`long` `getTopologyVersion()`
`boolean` `isActive()`
`void` `readExternal(ObjectInput in)`
`void` `setActive(boolean active)`
`void` `setBaseline(Collection<String> baseline)`
`void` `setServers(Collection<String> srvs)`
`void` `setTopologyVersion(long topVer)`
`String` `toString()`
`void` `writeExternal(ObjectOutput out)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### GridBaselineCommandResponse

    public GridBaselineCommandResponse()

Default constructor.

### Method Detail

#### isActive

    public boolean isActive()

Returns:
  Cluster state.

#### setActive

    public void setActive(boolean active)

Parameters:
  `active` - Cluster active.

#### getTopologyVersion

    public long getTopologyVersion()

Returns:
  Current topology version.

#### setTopologyVersion

    public void setTopologyVersion(long topVer)

Parameters:
  `topVer` - Current topology version.

#### getBaseline

    public Collection<String> getBaseline()

Returns:
  Baseline nodes.

#### setBaseline

    public void setBaseline(Collection<String> baseline)

Parameters:
  `baseline` - Baseline nodes.

#### getServers

    public Collection<String> getServers()

Returns:
  Server nodes.

#### setServers

    public void setServers(Collection<String> srvs)

Parameters:
  `srvs` - Server nodes.

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Specified by:
  `writeExternal` in interface `Externalizable`
Throws:
  `IOException`

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Specified by:
  `readExternal` in interface `Externalizable`
Throws:
  `IOException`
  `ClassNotFoundException`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.11.0
Release Date | : September 11 2021